from ._base import AnyThing, IsInstance
from ._datetime import IsDatetime, IsNow
from ._dict import IsDict, IsPartialDict, IsStrictDict
from ._list_tuple import HasLen, IsList, IsListOrTuple, IsTuple
from ._numeric import (
    IsApprox,
    IsFloat,
    IsInt,
    IsNegative,
    IsNegativeFloat,
    IsNegativeInt,
    IsNonNegative,
    IsNonPositive,
    IsNumber,
    IsNumeric,
    IsPositive,
    IsPositiveFloat,
    IsPositiveInt,
)
from ._other import FunctionCheck, IsJson, IsUUID
from ._strings import IsAnyStr, IsBytes, IsStr

__all__ = (
    # base
    'AnyThing',
    'IsInstance',
    # datetime
    'IsDatetime',
    'IsNow',
    # dict
    'IsDict',
    'IsPartialDict',
    'IsStrictDict',
    # list or tuple
    'HasLen',
    'IsList',
    'IsTuple',
    'IsListOrTuple',
    # numeric
    'IsNumeric',
    'IsApprox',
    'IsNumber',
    'IsPositive',
    'IsNegative',
    'IsNonPositive',
    'IsNonNegative',
    'IsInt',
    'IsPositiveInt',
    'IsNegativeInt',
    'IsFloat',
    'IsPositiveFloat',
    'IsNegativeFloat',
    # other
    'FunctionCheck',
    'IsJson',
    'IsUUID',
    # strings
    'IsStr',
    'IsBytes',
    'IsAnyStr',
    # version
    '__version__',
)

__version__ = '0.0.4'
